Bug 16539 - Advanced Send/Expect
Advanced Send/Expect
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: piranha (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McLean
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-18 12:25 EDT by keith.moore
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-06 19:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2000-08-18 12:25:33 EDT
I would like to be able to do more complex send/expect strings. 
Specifically I would like to have the expect string be anywhere in the
returned text.  

This would also require the ability to update the poll pace (If it's a more
complex search, you might not want to do it as often).

Also, I would like to have multiple send/expect strings.

If this is not currently being worked on, I will start working on it.  It's
mostly changes to nanny and the gui, and of course the config reader.

-- Keith Moore
Comment 1 Red Hat Bugzilla 2000-08-18 12:39:46 EDT
This is planned for an upcoming release. Specifically, I would like to see the
ability of specifying binary data, and an "offset" or leading wildcard on the
expect string so that the test is not limited to the first characters received.

The send/expect logic will probably change greatly. It really needs to move into
scripts rather than be passed as arguments to nanny. You are encouraged to
enhance it as you can, and if you send us the patches we could always use them
as upgrades to THIS version -- even if they prove incompatible to the next
version.

Comment 2 Red Hat Bugzilla 2002-10-17 12:01:39 EDT
You can now do complex things by using the send_program feature.

Regex send/expect in nanny itself is in the pipe.
Comment 3 Red Hat Bugzilla 2003-05-06 19:06:58 EDT
fixed in cvs.

Note You need to log in before you can comment on or make changes to this bug.